> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finvera.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Reference Data

> Perform a search for securities using a symbol or other search criteria.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "data": {
      "facet_counts": [],
      "found": 1,
      "hits": [
        {
          "document": {
            "classification.gics": "Information Technology/Technology Hardware & Equipment/Technology Hardware, Storage & Peripherals/Technology Hardware, Storage & Peripherals",
            "classification.gics_code": "45202030",
            "classification.market_sector": "Equity",
            "classification.security_description": "AAPL",
            "classification.security_type": "Common Stock",
            "classification.security_type2": "Common Stock",
            "classification.sic_code": "3571",
            "classification.sic_description": "ELECTRONIC COMPUTERS",
            "company_info.address.address1": "ONE APPLE PARK WAY",
            "company_info.address.city": "CUPERTINO",
            "company_info.address.postal_code": "95014",
            "company_info.address.state": "CA",
            "company_info.description": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses.",
            "company_info.homepage_url": "https://www.apple.com",
            "company_info.list_date": "1980-12-12",
            "company_info.phone_number": "(408) 996-1010",
            "company_info.total_employees": 164000,
            "created_at": "2025-04-06T04:35:40.413507Z",
            "exchange_info.exchange_country": "USA",
            "exchange_info.exchange_name": "NASDAQ Global Select Consolidated",
            "exchange_info.mic_code": "XNAS",
            "exchange_info.openfigi_exchange_code": "US",
            "exchange_info.openfigi_ticker": "AAPL",
            "exchange_info.refinitiv_exchange_code": "NSQ",
            "exchange_info.refinitiv_exchange_name": "NASDAQ Global Select Consolidated",
            "financials.market_cap": 3327840000000,
            "financials.round_lot": 100,
            "financials.share_class_shares_outstanding": 15022070000,
            "financials.weighted_shares_outstanding": 15022073000,
            "id": "BBG000B9XRY4_XNAS",
            "identifiers.cik": "0000320193",
            "identifiers.cusip": "037833100",
            "identifiers.figi": "BBG000B9XRY4",
            "identifiers.figi_composite": "BBG000B9XRY4",
            "identifiers.figi_share_class": "BBG001S5N8V8",
            "identifiers.isin": "US0378331005",
            "identifiers.opol": "XNAS",
            "identifiers.permid": "55838974642",
            "identifiers.ric": "AAPL.O",
            "isin_history": null,
            "name": "APPLE INC",
            "status": "ACTIVE",
            "symbol": "AAPL",
            "ticker_meta.active": true,
            "ticker_meta.currency_name": "usd",
            "ticker_meta.last_updated_utc": "2025-03-26T00:00:00Z",
            "ticker_meta.locale": "us",
            "ticker_meta.market": "stocks",
            "ticker_meta.primary_exchange": "XNAS",
            "ticker_meta.ticker": "AAPL",
            "ticker_meta.ticker_root": "AAPL",
            "ticker_meta.type": "CS",
            "updated_at": "2025-04-06T04:35:40.413507Z"
          },
          "highlight": {},
          "highlights": []
        }
      ],
      "out_of": 4368670,
      "page": 1,
      "request_params": {
        "collection_name": "securities_overview",
        "per_page": 100,
        "q": "*"
      },
      "search_cutoff": false,
      "search_time_ms": 9
    },
    "message": "success"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /api/v1/securities
openapi: 3.0.3
info:
  title: Search API
  description: API for searching security master based on ticker or other criteria.
  version: 1.0.0
  contact: {}
  termsOfService: https://swagger.io/terms/
servers:
  - url: https://api.finvera.news/search
    description: Prod API Host
security: []
paths:
  /api/v1/securities:
    get:
      summary: Fetch Reference Data
      description: Perform a search for securities using a symbol or other search criteria.
      parameters:
        - name: search
          in: query
          description: Search query (e.g., symbol)
          required: true
          schema:
            type: string
          example: AAPL
        - name: search_type
          in: query
          description: Type of search (e.g., symbol)
          required: true
          schema:
            type: string
            enum:
              - symbol
              - identifiers.figi
              - identifiers.figi_composite
              - identifiers.figi_share_class
              - identifiers.isin
              - identifiers.opol
              - identifiers.cusip
              - identifiers.cik
              - exchange_info.mic_code
              - exchange_info.exchange_country
              - classification.gics_code
          example: symbol
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    nullable: true
                    description: Error message if the request fails
                  message:
                    type: string
                    description: Status message
                  data:
                    type: object
                    properties:
                      facet_counts:
                        type: array
                        items:
                          type: string
                      found:
                        type: integer
                        description: Total number of matches found
                      hits:
                        type: array
                        items:
                          type: object
                          properties:
                            document:
                              type: object
                              properties:
                                MIC:
                                  type: string
                                  description: Market Identifier Code
                                compositefigi:
                                  type: string
                                  description: Composite FIGI identifier
                                exchcode:
                                  type: string
                                  description: Exchange code
                                figi:
                                  type: string
                                  description: Financial Instrument Global Identifier
                                id:
                                  type: string
                                  description: Unique identifier
                                marketsector:
                                  type: string
                                  description: Market sector (e.g., Equity)
                                name:
                                  type: string
                                  description: Full name of the security
                                name2:
                                  type: string
                                  description: Alternate name of the security
                                securitydescription:
                                  type: string
                                  description: Description of the security
                                securitytype:
                                  type: string
                                  description: Security type
                                securitytype2:
                                  type: string
                                  description: Additional security type
                                shareclassfigi:
                                  type: string
                                  description: Share class FIGI
                                ticker:
                                  type: string
                                  description: Ticker symbol
                            highlight:
                              type: object
                              properties:
                                ticker:
                                  type: object
                                  properties:
                                    matched_tokens:
                                      type: array
                                      items:
                                        type: string
                                    snippet:
                                      type: string
                            highlights:
                              type: array
                              items:
                                type: object
                                properties:
                                  field:
                                    type: string
                                  matched_tokens:
                                    type: array
                                    items:
                                      type: string
                                  snippet:
                                    type: string
                            text_match:
                              type: integer
                      out_of:
                        type: integer
                        description: Total number of documents in the collection
                      page:
                        type: integer
                        description: Current page number
                      request_params:
                        type: object
                        properties:
                          collection_name:
                            type: string
                          per_page:
                            type: integer
                          q:
                            type: string
                      search_cutoff:
                        type: boolean
                        description: Whether the search reached a cutoff
                      search_time_ms:
                        type: integer
                        description: Time taken for the search in milliseconds
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: apikey
      type: apiKey

````